
fade_alphaWhite = 0;
fade_alphaBlack = 0;
fade_fadeWhite = false;
fade_fadeBlack = false;
fade_speed = 1.0 / 256.0;

function fade_update()
   
   if fade_fadeWhite then 

	  fade_alphaWhite = fade_alphaWhite + fade_speed;
	  --writeConsole("Fade white\n");

	  if fade_alphaWhite > 1 then
		 fade_alphaWhite = 1;
	  end

   else

	  fade_alphaWhite = fade_alphaWhite - fade_speed;

	  if fade_alphaWhite < 0 then
		 fade_alphaWhite = 0;
	  end

   end

   if fade_fadeBlack then 

	  fade_alphaBlack = fade_alphaBlack + fade_speed;
	  --writeConsole("Fade black\n");

	  if fade_alphaBlack > 1 then
		 fade_alphaBlack = 1;
	  end

   else
	  fade_alphaBlack = fade_alphaBlack - fade_speed;

	  if fade_alphaBlack < 0 then
		 fade_alphaBlack = 0;
	  end

   end
   
   setAdditiveFade(
	  fade_alphaWhite,
	  fade_alphaWhite,
	  fade_alphaWhite);
   
   setSubtractiveFade(
	  1 - fade_alphaBlack,
	  1 - fade_alphaBlack,
	  1 - fade_alphaBlack);

end


